<%@ page contentType="text/html;charset=UTF-8"%>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>备件返厂页面</title>
  <meta name="renderer" content="webkit">
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
  <meta name="decorator" content="base" />
    <link rel="stylesheet" type="text/css" href="${ctxPlugin}/static/css/reset.css" />
</head>
<body>

<div class="layui-fluid">
    <div class="layui-form  layui-card">
        <div class="layui-tab layui-tab-brief" >
          <ul class="layui-tab-title">
              <sfTags:pagePermission authFlag="BJGL_BJFC_BJFC_T" html='<a href="${ctx}/platform/fittingRefund/toFittingRefundPage"><li class="layui-this">旧件返厂</li></a>'/>
              <button class="layui-btn f-r mt-10 mr-15 pl-10 pr-10"  lay-submit lay-filter="resetButton" >
                  <i class="layui-icon fs-12">&#xe615;</i>
                  重置
              </button>
              <button class="layui-btn f-r mt-10 mr-15 pl-10 pr-10" id="searchBtn" lay-submit lay-filter="LAY-user-back-search"><i class="layui-icon fs-12">&#xe615;</i>查询</button>
          </ul>
      </div>
        <div class="layui-card-body layuiadmin-card-header-auto">
            <form class="layui-form layui-card" action="" id="searchForm">
          <div class="layui-form-item">
              <div class="layui-col-lg2 layui-col-sm3">
                  <label class="layui-form-label">服务商名称：</label>
                  <div class="layui-input-block">
                      <select name="siteId" lay-search>
                          <option value="">请选择</option>
                          <c:forEach var="site" items="${siteList}">
                              <option value="${site.columns.id}">${site.columns.name}</option>
                          </c:forEach>
                      </select>
                  </div>
              </div>

              <div class="layui-col-lg2 layui-col-sm3">
                  <label class="layui-form-label">物料号：</label>
                  <div class="layui-input-block">
                      <input type="text" name="fittingCode" class="layui-input" >
                  </div>
              </div>
              <div class="layui-col-lg2 layui-col-sm3">
                  <label class="layui-form-label">旧件名称：</label>
                  <div class="layui-input-block">
                      <input type="text" name="fittingName" class="layui-input" >
                  </div>
              </div>
              <div class="layui-col-lg2 layui-col-sm3">
                  <label class="layui-form-label">旧件型号：</label>
                  <div class="layui-input-block">
                      <input type="text" name="fittingVersion" class="layui-input" >
                  </div>
              </div>
              <div class="layui-col-lg2 layui-col-sm3">
                  <label class="layui-form-label">电站名称：</label>
                  <div class="layui-input-block">
                      <input type="text" name="powerStationName" class="layui-input" >
                  </div>
              </div>
              <%--<div class="layui-col-lg2 layui-col-sm3">
                  <label class="layui-form-label">是否原配：</label>
                  <div class="layui-input-block" >
                      <select name="fittingType">
                          <option value="">请选择</option>
                          <option value="0">是</option>
                          <option value="1">否</option>
                      </select>
                  </div>
              </div>--%>
              <div class="layui-col-lg2 layui-col-sm3">
                  <label class="layui-form-label">保修类型：</label>
                  <div class="layui-input-block" >
                      <select name="warrantyType">
                          <option value="">请选择</option>
                          <option value="1">保内</option>
                          <option value="2">保外</option>
                      </select>
                  </div>
              </div>
              <div class="layui-col-lg2 layui-col-sm3">
                  <label class="layui-form-label">返厂状态：</label>
                  <div class="layui-input-block" >
                      <select name="status">
                          <option value="">请选择</option>
                          <option value="1">未到厂</option>
                          <option value="2">已到厂</option>
                      </select>
                  </div>
              </div>
              <div class="layui-col-lg4 layui-col-sm6">
                  <label class="layui-form-label">返厂时间：</label>
                  <div class="layui-input-block">
                      <div class="layui-col-xs5">
                          <input type="text" name="refundTimeStart" class="layui-input" id="startTime" placeholder="开始日期">
                      </div>
                      <div class="layui-col-xs2 text-c lh-30">
                          —
                      </div>
                      <div class="layui-col-xs5">
                          <input type="text" name="refundTimeEnd" class="layui-input" id="endTime" placeholder="结束日期">
                      </div>
                  </div>
              </div>
              <div class="layui-col-lg4 layui-col-sm6">
                  <label class="layui-form-label">到厂时间：</label>
                  <div class="layui-input-block">
                      <div class="layui-col-xs5">
                          <input type="text" name="endTimeSta" class="layui-input" id="endTimeSta" placeholder="开始日期">
                      </div>
                      <div class="layui-col-xs2 text-c lh-30">
                          —
                      </div>
                      <div class="layui-col-xs5">
                          <input type="text" name="endTimeEnd" class="layui-input" id="endTimeEnd" placeholder="结束日期">
                      </div>
                  </div>
              </div>
              <div class="layui-col-lg4 layui-col-sm6">
                  <label class="layui-form-label">登记时间：</label>
                  <div class="layui-input-block">
                      <div class="layui-col-xs5">
                          <input type="text" name="createTimeSta" class="layui-input" id="createTimeSta" placeholder="开始日期">
                      </div>
                      <div class="layui-col-xs2 text-c lh-30">
                          —
                      </div>
                      <div class="layui-col-xs5">
                          <input type="text" name="createTimeEnd" class="layui-input" id="createTimeEnd" placeholder="结束日期">
                      </div>
                  </div>
              </div>
      </div>
            </form>
      </div>
    </div>
    <div class="layui-card">
        <div class="layui-card-body">
            <table class="layui-hide" lay-skin="row" id="test" lay-filter="test"></table>
            <script type="text/html" id="toolbarDemo">
                <div class="layui-btn-container">
                    <sfTags:pagePermission authFlag="BJGL_BJFC_FC_QRDC_T" html='<button class="layui-btn layui-btn-sm" id="confirmBackFac" lay-event="confirmBackFac"><i class="layui-icon layui-icon-export"></i>确认到厂</button>'/>
                    <sfTags:pagePermission authFlag="BJGL_BJFC_FC_DC_T" html='<button class="layui-btn layui-btn-sm" id="exportBtn" lay-event="exports"><i class="layui-icon layui-icon-export"></i>导出</button>'/>

                </div>
            </script>
        </div>
    </div>
</div>

<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script>
    var table;
    layui.config({
        base: '${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'tableExt', 'jquery', 'layer','laypage','laydate','form'], function(){
    //layui.use(['table','layer','laypage','laydate','form'], function(){
        $ = layui.$;
        tableExt = layui.tableExt;
        layer = layui.layer;
        table = layui.table;
        laypage = layui.laypage;
        laydate = layui.laydate;
        form = layui.form;

        var table = tableExt.getLayTable();

        //开始日期
        var insStart = laydate.render({
            elem: '#startTime'
            ,done: function(value, date){
                insEnd.config.min = lay.extend({}, date, {
                    month: date.month - 1
                });
                insEnd.config.elem[0].focus();
            }
        });
        //结束日期
        var insEnd = laydate.render({
            elem: '#endTime'
            ,done: function(value, date){
                //更新开始日期的最大日期
                insStart.config.max = lay.extend({}, date, {
                    month: date.month - 1
                });
            }
        });

        var endTimeSta=laydate.render({
            elem: '#endTimeSta'
            ,done: function(value, date){
                endTimeEnd.config.min = lay.extend({}, date, {
                    month: date.month - 1
                });
                endTimeEnd.config.elem[0].focus();
            }
        });
        var endTimeEnd=laydate.render({
            elem: '#endTimeEnd'
            ,done: function(value, date){
                //更新开始日期的最大日期
                endTimeSta.config.max = lay.extend({}, date, {
                    month: date.month - 1
                });
            }
        });
        var createTimeSta=laydate.render({
            elem:'#createTimeSta'
            ,done:function(value, date){
                createTimeEnd.config.min = lay.extend({}, date, {
                    month: date.month - 1
                });
                createTimeEnd.config.elem[0].focus();
            }
        })
        var createTimeEnd=laydate.render({
            elem:'#createTimeEnd'
            ,done:function(value, date){
                //更新开始日期的最大日期
                createTimeSta.config.max = lay.extend({}, date, {
                    month: date.month - 1
                });
            }
        })

        var fitTag = '${fns:checkPagePermission(request, "BJGL_BJSQ_DCK_FITNAME_B")}';
        tableExt.render({
            elem: '#test'
            , height: 'full-240'
            , toolbar: '#toolbarDemo'
            , defaultToolbar: false
            , limits : [ 20, 50, 100 ]
            , limit:20
            , page : true //开启分页
            , url: '${ctx}/platform/fittingRefund/getAllSiteRefundData'
            , cols: [[
                {type: 'numbers',title: '序号',fixed:'left'}
                , {field: 'id', type: 'checkbox',fixed: 'left'}
                , {field: 'is_crm_customer', hide:true}
                , {field: 'status', title: '返厂状态',minWidth:'100',fixed:true, sort: false, align: 'center', exportable:true
                    ,templet:function(d){
                        return facStatus(d);
                    }
                    , expFormat: function (d) {
                        return facStatus(d);
                    }
                }
                , {field: 'site_name', title: '服务商名称',minWidth:'180', sort: false, align: 'center', exportable:true}
                , {field: 'fitting_code', title: '物料号',minWidth:'160', sort: false, align: 'center', exportable:true
                    ,templet:function(d){
                        if(fitTag=='0'){
                            return '<a class="layui-table-opt-link" href="javascript:fittingDetail(\''+d.id+'\');">'+d.fitting_code+'</a>'
                        }
                    }
                }
                , {field: 'fitting_name', title: '旧件名称',minWidth:'150', sort: false, align: 'center', exportable:true}
                , {field: 'fitting_version', title: '旧件型号',minWidth:'150', sort: false, align: 'center', exportable:true}
                , {field: 'refund_num', title: '返厂数量',minWidth:'100', sort: false, align: 'center', exportable:true}
                , {field: 'create_time', title: '返厂时间',minWidth:'180', sort: false, align: 'center', exportable:true}
                , {field: 'end_time', title: '到厂时间',minWidth:'180', sort: false, align: 'center', exportable:true}
                , {field: 'confirm_name', title: '到厂操作人',minWidth:'180', sort: false, align: 'center', exportable:true}
               /* , {field: 'fitting_type', title: '是否原配',minWidth:'180', sort: false, align: 'center', exportable:true
                    , templet:function(d){
                      if(d.fitting_type==0){
                            return "是"
                      }else if(d.fitting_type==1){
                          return "否"
                      }else{
                          return " ";
                      }
                    }
                    , expFormat: function (d) {
                        if(d.fitting_type==0){
                            return "是"
                        }else if(d.fitting_type==1){
                            return "否"
                        }else{
                            return " "
                        }
                    }

                }*/
                , {field: 'order_number', title: '工单编号',minWidth:'200', sort: false, align: 'center', exportable:true}
                , {field: 'power_station_name', title: '电站名称',minWidth:'180', sort: false, align: 'center', exportable:true}
                , {field: 'customer_name', title: '用户姓名',minWidth:'180', sort: false, align: 'center', exportable:true}
                , {field: 'customer_mobile', title: '用户电话',minWidth:'180', sort: false, align: 'center', exportable:true}
                , {field: 'customer_address', title: '用户地址',minWidth:'200', sort: false, align: 'center', exportable:true
                , templet:function(d){
                        return d.province+d.city+d.area+d.customer_address;
                }
                , expFormat: function (d) {
                    return d.province+d.city+d.area+d.customer_address;
                }
                }
            ]]
            ,exportOpt:{                           //导出选项配置
                ele:'#exportBtn',                   //导出的Dom元素
                headerTitle: '旧件返厂',             //excel表格的标题
                pageData:false,                     //true:导出的数据为页面数据，false:最大导出maxAmount条数据
                maxAmount: 1000,                    //当pageData为false生效
                fileName: '旧件返厂',
                where: function (){                 //当pageData为false时生效，过滤的条件
                    return _serializeJson($("#searchForm"));
                }
            }
        });

        //监听行单击事件
        table.on('row(test)', function(obj){
            var data = obj.data;
            var oldData = table.cache["test"];
            var checkCell=obj.tr.find(".layui-form-checkbox");
            var CHECKED;
            if(obj.tr.hasClass("xuanzhong-special")){
                CHECKED = false;
                obj.tr.removeAttr("style");
                obj.tr.removeClass("xuanzhong-special");
                obj.tr.removeClass('layui-table-click');
                checkCell.removeClass('layui-form-checked');
            }else{
                CHECKED=true
                $(obj.tr).css('background-color','#CCEAEA');
                $(obj.tr).addClass("xuanzhong-special");
                obj.tr.addClass('layui-table-click');
                checkCell.addClass('layui-form-checked');
            }
            $.each(oldData,function(i,val){
                if(val.id == data.id){
                    oldData[i].LAY_CHECKED=CHECKED
                }
            })

        });


        //头工具栏事件
        table.on('toolbar(test)',function(obj){
             switch(obj.event){
                 case 'confirmBackFac':
                     var checkStatus = table.checkStatus(obj.config.id);
                     var data = checkStatus.data;
                     if (data.length < 1) {
                         layer.msg("请选择数据",{icon:5,anim:6});
                         return;
                     }
                     var ids="";
                     for(var i=0;i<data.length;i++){
                        var status=data[i].status;
                        if(status != 1){
                            layer.msg("有旧件状态不可操作该功能",{icon:5,anim:6});
                            return;
                        }
                         ids+=data[i].id+",";
                     }
                     layer.confirm("确认返厂的备件已收到？", {icon: 3}, function(index){
                         $.ajax({
                             url: '${ctx}/platform/fittingRefund/confToTheFac',
                             type: 'post',
                             data: {
                                 ids: ids,
                             },
                             success: function(data) {
                                 console.log(data);
                                 if(data =="200"){
                                     layer.msg("确认返厂成功！");
                                     table.reload('test'); //数据刷新
                                 }else{
                                     layer.msg("确认到厂失败！" ,{icon:5,anim:6});
                                 }
                             }
                         });
                     })
                     break
             }
        })


        //监听搜索
        form.on('submit(LAY-user-back-search)', function(data){
            var field = data.field;
            //执行重载
            tableExt.reload('test', {
                where: field,
                page: {
                    curr: 1
                }
            });
        });

        //重置
        form.on('submit(resetButton)', function(data){
            $("#searchForm")[0].reset();
            layui.form.render();
        });

    });



    function fittingDetail(id){
      var index=layer.open({
            type: 2
            , title: '旧件信息'
            , content: '${ctx}/platform/fittingRefund/goFitRefundDetail?id=' + id
            , area: ['800px', '500px']
            , yes: function(index, layero){
              layer.close(index);
            }
        });
    }

    function facStatus(d){
        if(d.status=='1'){
            return "未到厂"
        }else {
            return "已到厂"
        }
    }

    function reset(){
        $("#searchForm").find("select").val("");
        $("#searchForm").find("input").val("");
    }

    function isBlank(val) {
        if (val == null || val == '' || val == undefined) {
            return true;
        }
        return false;
    }
</script>
</body>
</html>

